﻿Imports Steema.TeeChart
Public Class frmMemStealer

  Dim oChart As Steema.TeeChart.TChart
  Public Sub New(ByVal AddMarkTip As Boolean)

    ' This call is required by the designer.
    InitializeComponent()

    ' Add any initialization after the InitializeComponent() call.
    oChart = New Steema.TeeChart.TChart
    oChart.Dock = DockStyle.Fill
    InitTChart(oChart)
    Controls.Add(oChart)


    Dim oSerie As New Steema.TeeChart.Styles.ColorGrid(oChart.Chart)

    oSerie.Pen.Visible = False
    oSerie.Title = "test"
    oSerie.Pen.Visible = False
    oSerie.UsePalette = True
    oSerie.PaletteSteps = 500
    oSerie.UseColorRange = False
    oSerie.PaletteStyle = Steema.TeeChart.Styles.PaletteStyles.Strong
    oSerie.IrregularGrid = True

    oSerie.FillSampleValues(350)

    'Add MarkTip:
    If AddMarkTip Then
      Dim oMarkTip As New Steema.TeeChart.Tools.MarksTip(oChart.Chart)
      oMarkTip.Style = Steema.TeeChart.Styles.MarksStyles.XValue
    End If


  End Sub
  Private Sub InitTChart(ByVal tcSpectra As TChart)
    'tcSpectra.Aspect.View3D = True
    tcSpectra.Aspect.Chart3DPercent = 0
    'Header
    tcSpectra.Header.Font.Color = Color.Red
    tcSpectra.Header.Font.Bold = True
    tcSpectra.Header.Alignment = StringAlignment.Near
    tcSpectra.SubHeader.Font.Color = Color.Red

    tcSpectra.SubHeader.Font.Bold = True
    tcSpectra.SubHeader.Alignment = StringAlignment.Near
    'Panel
    tcSpectra.Panel.Gradient.Visible = False
    tcSpectra.Panel.Color = Color.Blue
    'Axes
    tcSpectra.Axes.Bottom.Labels.Style = AxisLabelStyle.Value
    tcSpectra.Axes.Bottom.Grid.Color = Color.Brown
    tcSpectra.Axes.Bottom.Labels.Font.Color = Color.Brown
    tcSpectra.Axes.Bottom.Ticks.Color = Color.Brown
    tcSpectra.Axes.Bottom.MinorTicks.Color = Color.Brown
    tcSpectra.Axes.Bottom.AxisPen.Color = Color.Brown
    tcSpectra.Axes.Bottom.Title.Font.Color = Color.Brown
    tcSpectra.Axes.Bottom.Increment = 1

    tcSpectra.Axes.Left.Labels.Style = AxisLabelStyle.Value
    tcSpectra.Axes.Left.Labels.Separation = 50
    tcSpectra.Axes.Left.Labels.ValueFormat = "#0.#######"
    tcSpectra.Axes.Left.Grid.Color = Color.CornflowerBlue
    tcSpectra.Axes.Left.Labels.Font.Color = Color.CornflowerBlue
    tcSpectra.Axes.Left.Ticks.Color = Color.CornflowerBlue
    tcSpectra.Axes.Left.MinorTicks.Color = Color.CornflowerBlue
    tcSpectra.Axes.Left.AxisPen.Color = Color.CornflowerBlue
    tcSpectra.Axes.Left.Title.Font.Color = Color.CornflowerBlue
    tcSpectra.Axes.Left.Labels.Separation = 70
    tcSpectra.Axes.Left.Labels.Angle = 90
    'Margins
    tcSpectra.Panel.MarginBottom = 2
    tcSpectra.Panel.MarginTop = 2
    tcSpectra.Panel.MarginLeft = 2
    tcSpectra.Panel.MarginRight = 3
    'Walls
    tcSpectra.Walls.Back.Color = Color.Black ' CMCurrentSettings.User.Preferences.DiagramBackColor.Value
    tcSpectra.Walls.Back.Transparent = False
    tcSpectra.Walls.Back.Pen.Color = Color.CornflowerBlue
    tcSpectra.Walls.Left.Color = Color.CornflowerBlue
    tcSpectra.Walls.Left.Transparent = False
    tcSpectra.Walls.Left.Pen.Color = Color.CornflowerBlue
    'Legend
    tcSpectra.Legend.Visible = True
    tcSpectra.Legend.LegendStyle = LegendStyles.Palette
    tcSpectra.Legend.Title.Visible = True
    tcSpectra.Legend.Title.Transparent = True
    tcSpectra.Legend.Title.Font.Color = Color.CornflowerBlue
    '    tcSpectra.Legend.Title.Text = Translation.GetString(70, "Measurement point")
    '    tcSpectra.Legend.Title.Font.Color = CMCurrentSettings.User.Preferences.DiagramHeaderColor.Value
    '    tcSpectra.Legend.Title.Brush.Color = CMCurrentSettings.User.Preferences.DiagramBackColor.Value
    tcSpectra.Legend.Pen.Color = Color.CornflowerBlue
    tcSpectra.Legend.Brush.Color = Color.CornflowerBlue
    tcSpectra.Legend.Title.ShapeStyle = Drawing.TextShapeStyle.RoundRectangle
    tcSpectra.Legend.ShapeStyle = Drawing.TextShapeStyle.RoundRectangle
    tcSpectra.Legend.Shadow.Visible = False
    tcSpectra.Legend.Visible = True
    tcSpectra.Legend.FontSeriesColor = False
    tcSpectra.Legend.VertMargin = 3
    tcSpectra.Legend.HorizMargin = 3

    tcSpectra.Legend.Alignment = LegendAlignments.Left
    tcSpectra.Legend.Transparent = True
    'Handlers
    ' AddHandler tcSpectra.Zoomed, AddressOf m_Chart_Zoomed
    ' AddHandler tcSpectra.MouseDown, AddressOf ChartMouseDown

    'Cursor position tool
    Dim oTool As New Steema.TeeChart.Tools.Annotation(tcSpectra.Chart)
    oTool.Position = Tools.AnnotationPositions.RightTop
    oTool.Shape.Color = Color.DarkBlue
    oTool.Shape.Font.Color = Color.DarkBlue
    oTool.Text = ""
    oTool.Active = False
    oTool.Shape.Shadow.Visible = False
    oTool.Shape.Font.Bold = True
    oTool.Shape.ShapeStyle = Drawing.TextShapeStyle.RoundRectangle
    ' m_CursorLabel.Add(oTool)

    tcSpectra.Panning.Allow = ScrollModes.None
    tcSpectra.Zoom.Allow = False
    tcSpectra.Aspect.Orthogonal = False
    tcSpectra.Aspect.Elevation = 360
    tcSpectra.Aspect.Rotation = 360
    tcSpectra.Aspect.SmoothingMode = Drawing2D.SmoothingMode.HighSpeed

    ' AddHandler tcSpectra.AfterDraw, AddressOf m_Chart_Redraw

  End Sub
End Class